> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unblockedbrands.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pique Campaign

> Create a new Pique Campaign with the provided details.




## OpenAPI

````yaml api-reference/openapi.json post /pique-campaign
openapi: 3.1.0
info:
  title: Unblocked Wallet Passes API
  description: Unblocked Wallet Passes API
  version: 1.0.0
servers:
  - url: https://api.ubpass.co/v1
    description: Generated server url
security:
  - AccessToken: []
  - APIKey: []
tags:
  - name: Pique
    description: Get Pique Campaigns and their video performance data
  - name: Passport - Passes
    description: >-
      Create, update, retrieve, and delete wallet passes for Apple and Google
      platforms
  - name: Passport - Push Notifications
    description: Create, update, get, and delete wallet pass notifications
  - name: Passport - Locations
    description: Create, update, get, and delete wallet pass locations
  - name: Upload APIs
    description: Upload and manage pass assets and images
paths:
  /pique-campaign:
    post:
      tags:
        - Pique
      summary: Create Pique Campaign
      description: |
        Create a new Pique Campaign with the provided details.
      operationId: createPiqueCampaign
      parameters:
        - name: x-workspace-id
          in: header
          description: >-
            Workspace ID to perform the operation in. If not provided, system
            will use the first one assigned to the user
          required: false
          schema:
            type: string
            pattern: ^[a-zA-Z0-9-_]+$
          example: 1f089d29-6f9c-66c2-af59-99631cec7ab5
      requestBody:
        description: Request body for creating Pique Campaign
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PiqueCampaignUserFlowRequest'
        required: true
      responses:
        '201':
          description: Campaign created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PiqueCampaign'
        '400':
          description: Bad Request - Invalid campaign data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuildXAPIError'
        '401':
          description: Unauthorized - Invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuildXAPIError'
components:
  schemas:
    PiqueCampaignUserFlowRequest:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
          enum:
            - BoostedPost
            - SyndicatedContent
        targetViews:
          type: integer
          format: int32
        platforms:
          type: array
          items:
            type: string
        deliveredViews:
          type: integer
          format: int32
        contentLink:
          type: string
        submissionNotes:
          type: string
        endDate:
          type: string
          format: date
    PiqueCampaign:
      type: object
      properties:
        id:
          type: string
        createdTime:
          type: string
          format: date-time
          description: >-
            The time when the entity was created in ISO 8601 format including
            milliseconds and timezone offset.
          example: '2025-05-13T15:07:15.036Z'
        updatedTime:
          type: string
          format: date-time
          description: >-
            The time when the entity was last updated in ISO 8601 format
            including milliseconds and timezone offset.
          example: '2025-05-13T15:07:15.036Z'
        createdBy:
          type: string
          description: The user who created the entity.
        updatedBy:
          type: string
          description: The user who last updated the entity.
        workspaceId:
          type: string
          description: The ID of the workspace to which this entity belongs.
        accountId:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - BoostedPost
            - SyndicatedContent
        status:
          type: string
          enum:
            - Prepping
            - InProgress
            - Completed
            - Paused
            - NotStarted
            - Canceled
        startDate:
          type: string
          format: date
        isPublished:
          type: boolean
        campaignData:
          $ref: '#/components/schemas/PiqueCampaignData'
        campaignDataFileInfo:
          $ref: '#/components/schemas/UploadInfo'
        videoPerformanceFileInfo:
          $ref: '#/components/schemas/UploadInfo'
        platforms:
          type: array
          items:
            type: string
        targetViews:
          type: integer
          format: int32
        beforeViews:
          type: integer
          format: int32
        afterViews:
          type: integer
          format: int32
        deliveredViews:
          type: integer
          format: int32
        contentLink:
          type: string
        submissionNotes:
          type: string
        endDate:
          type: string
          format: date
        beforeImage:
          $ref: '#/components/schemas/UploadInfo'
        afterImage:
          $ref: '#/components/schemas/UploadInfo'
    BuildXAPIError:
      type: object
      properties:
        txId:
          type: string
        timestamp:
          type: string
          format: date-time
        errorCode:
          type: string
        errorMessage:
          type: string
        context:
          type: object
          additionalProperties: {}
    PiqueCampaignData:
      type: object
      properties:
        id:
          type: string
        createdTime:
          type: string
          format: date-time
          description: >-
            The time when the entity was created in ISO 8601 format including
            milliseconds and timezone offset.
          example: '2025-05-13T15:07:15.036Z'
        updatedTime:
          type: string
          format: date-time
          description: >-
            The time when the entity was last updated in ISO 8601 format
            including milliseconds and timezone offset.
          example: '2025-05-13T15:07:15.036Z'
        createdBy:
          type: string
          description: The user who created the entity.
        updatedBy:
          type: string
          description: The user who last updated the entity.
        workspaceId:
          type: string
          description: The ID of the workspace to which this entity belongs.
        campaignId:
          type: string
        totalViews:
          type: integer
          format: int32
        totalClicks:
          type: integer
          format: int32
        totalLikes:
          type: integer
          format: int32
        totalCreators:
          type: integer
          format: int32
        totalComments:
          type: integer
          format: int32
        totalShares:
          type: integer
          format: int32
        totalVideos:
          type: number
          format: double
        instagramViews:
          type: integer
          format: int32
        instagramLikes:
          type: integer
          format: int32
        instagramShares:
          type: integer
          format: int32
        instagramComments:
          type: integer
          format: int32
        tiktokViews:
          type: integer
          format: int32
        tiktokLikes:
          type: integer
          format: int32
        tiktokShares:
          type: integer
          format: int32
        tiktokComments:
          type: integer
          format: int32
        assetFolderLink:
          type: string
        rec1:
          type: string
        rec2:
          type: string
        rec3:
          type: string
        rec4:
          type: string
    UploadInfo:
      type: object
      properties:
        fileKey:
          type: string
        fileName:
          type: string
        url:
          type: string
  securitySchemes:
    AccessToken:
      type: http
      description: Bearer token authentication
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      description: API Key authentication
      name: api-key
      in: header

````